%global  checkout   6333022940194ecae374700fcf2812f0909b0062
%global  date       20171019
%global  number     13.2

%global moz_extensions %{_datadir}/mozilla/extensions

%global firefox_app_id \{ec8030f7-c20a-464f-9b0e-13a3a9e97384}
%global src_ext_id rpcontinued@non-amo.requestpolicy.org
%global firefox_inst_dir %{moz_extensions}/%{firefox_app_id}/%{src_ext_id}

%global seamonkey_app_id \{92650c4d-4b8e-4d2a-b7eb-24ecf4f6b63a}
%global seamonkey_inst_dir %{moz_extensions}/%{seamonkey_app_id}

Name:      mozilla-requestpolicy
Version:   1.0
Release:   0.19.%{date}git%(echo %{checkout} | cut -c-6)%{?dist}
Summary:   Firefox and Seamonkey extension that gives you control over cross-site requests
License:   GPLv3+ and LGPLv3+
URL:       https://requestpolicycontinued.github.io/
# git clone https://github.com/RequestPolicyContinued/requestpolicy.git
# git checkout %%{checkout}
# tar -cvzf mozilla-requestpolicy-1.0.beta13.2.tar.gz requestpolicy
Source0:   %{name}-%{version}.beta%{number}.tar.gz

%if 0%{?el6}
Requires:       firefox >= 3.5
%else
Requires:       mozilla-filesystem
%endif

BuildRequires:  preprocess, future, python-setuptools, git
%if 0%{?el6}
BuildRequires:  zip
%endif
BuildArch:      noarch

%description
RequestPolicy is a Firefox extension that gives you control over 
cross-site requests. It does this through user-defined white-lists
and blacklists. Users can also subscribe to policies 
(white-lists and blacklists) maintained by others.

%prep
%setup -q -n requestpolicy

%build
make -j1

%install
pushd build/nightly
for f in `find . -print | sed -e '/\.\/$/d'` ; do
    if [ -d ${f} ] ; then
       install -dm 755 %{buildroot}%{firefox_inst_dir}/${f}
    else
       install -pm 644 ${f} %{buildroot}%{firefox_inst_dir}/${f}
    fi
done
popd

# symlink from seamonkey extension to firefox extension
mkdir -p %{buildroot}%{seamonkey_inst_dir}
ln -s %{firefox_inst_dir} %{buildroot}%{seamonkey_inst_dir}

%files
%{!?_licensedir:%global license %doc}
%doc ChangeLog.md README.md
%license LICENSE
%{firefox_inst_dir}/
%{seamonkey_inst_dir}/

%changelog
* Sat Oct 21 2017 Antonio Trande <sagitterATfedoraproject.org> - 1.0-0.19.20171019git633302
- Update to v1.0.beta13.2

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-0.18.20161009gitc66159
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-0.17.20161009gitc66159
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Oct 27 2016 Antonio Trande <sagitterATfedoraproject.org> - 1.0-0.16.20161009gitc66159
- Update to v1.0.beta12.4

* Thu Jul 28 2016 Antonio Trande <sagitterATfedoraproject.org> - 1.0-0.15.20160626git06f4c1
- Update to v1.0.beta12.2
- Drop old patch

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-0.14.20160102gitc27c1f
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jan 21 2016 Antonio Trande <sagitterATfedoraproject.org> - 1.0-0.13.20160102gitc27c1f
- Update to v1.0.beta11pre4

* Sun Dec 06 2015 Antonio Trande <sagitterATfedoraproject.org> - 1.0-0.12.20151206git490931
- Update to v1.0.beta11pre2

* Mon Oct 19 2015 Antonio Trande <sagitterATfedoraproject.org> - 1.0-0.11.20151017gita5a0b5
- Update to v1.0.beta10.2

* Wed Sep 09 2015 Antonio Trande <sagitterATfedoraproject.org> - 1.0-0.10.20150909git0eb896
- Update to v1.0.beta10.1-signed

* Sun Jul 26 2015 Antonio Trande <sagitterATfedoraproject.org> - 1.0-0.9.20150701gitfe3716
- Changed ID to rpcontinued@non-amo.requestpolicy.org
- Patched to use 'gcc' instead of 'preprocess'

* Wed Jul 01 2015 Antonio Trande <sagitterATfedoraproject.org> - 1.0-0.8.20150701gitfe3716
- Update to v1.0.beta10

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.7.20150522git631b52
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri May 22 2015 Antonio Trande <sagitterATfedoraproject.org> - 1.0-0.6.20150522git631b52
- Update to Beta9.3

* Thu May 07 2015 Antonio Trande <sagitterATfedoraproject.org> - 1.0-0.5.20150507git5bff8c
- Update to Beta9.2

* Thu Apr 30 2015 Antonio Trande <sagitterATfedoraproject.org> - 1.0-0.4.20150430gitf4e92d
- Update to Beta9.1
- Changed upstream URL 

* Tue Jan 27 2015 Antonio Trande <sagitterATfedoraproject.org> - 1.0-0.3.20150125git2566d2
- Update to Beta8.2
- Description modified

* Thu Jan 22 2015 Antonio Trande <sagitterATfedoraproject.org> - 1.0-0.2.20141213gitd27363
- Package owns only its directories

* Thu Jan 22 2015 Antonio Trande <sagitterATfedoraproject.org> - 1.0-0.1.20141213gitd27363
- Update to 1.0 pre-release beta8

* Sat Aug 09 2014 Antonio Trande <sagitterATfedoraproject.org> - 0.5.28-1
- First package
